Subject: Re: [lojban] lojban application in wearable computing

From: Björn Gohla <[email-masked]>
Date: Wed, 13 Mar 2002 17:37:43 +0100

On Wednesday 13 March 2002 05:38, Ted Reed wrote:
> On Tuesday, March 12 2002 07:31 pm, Robin Lee Powell wrote:
[...]
> > What resemblance do you see between lisp and lojban, exactly? At a
> > first glance, I see a much stronger resemblance to Prolog.
[...]
the interesting thing about lisp and scheme is the ambiguity between 
instructions and data. any structured data stored in so called s-expressions 
can be executed as code provided that list head symbols are defined as macros 
or functions, on the other hand stored functions can be manipulated like data.

> I have no experience with lisp or prolog. I'm told that scheme evolved from
> lisp, so I just tend to lump them together. Sorry.
afaik scheme is basically a slimmed down, cleaned up lisp.

> Perhaps not lisp, but scheme tends to be organized around predicate syntax
> and brackets to define things that are more than one word.
not necessarily, but again if your list head symbols are defined as 
predicates (or functions returning a boolean value) it would be like you say.
- -- 
Wolfe's law of journalism:
You cannot hope/to bribe or twist,/thank God ! the/British journalist.
But seeing what/the man can do/unbribed, there's/no occasion to.
pub 1024D/834F4976 2001-01-07 Björn Gohla (Wissenschaftler, Weltbürger) 
<[email-masked]>
Key fingerprint = 9FF4 FEDA CCDF DA0E 14D5 8129 6C14 3C39 834F 4976
sub 1024g/29571FE2 2001-01-07